{% extends "layout.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}
{{page.title}}
{% endblock %}


{% block head %}
    {{ super() }}
{% endblock %}


{% block content %}
<div class="row">
  <div class="col-sm-12">
     <div class="card card-primary card-outline">
         <div class="card-header">
             <h3 class="card-title">
                 <i class="fas fa-user-edit"></i>
                 {{page.layout.translate("Edit user", page.user.lang)}}
             </h3>
             <div class="card-tools">
              <!-- no thing to put here -->
             </div>
         </div>
         <div class="card-body pad">
             {% if message.success != None %}
             <div class="alert alert-success alert-dismissible">
                 <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                 <h5><i class="icon fas fa-check"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
                 {{message.success}}
             </div>
             {% endif %}
             {% if message.error != None %}
             <div class="alert alert-danger alert-dismissible">
                 <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                 <h5><i class="icon fas fa-ban"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
                 {{message.error}}
             </div>
             {% endif %}
             <h3 class="profile-username text-center">{{user.first_name}} {{user.last_name}}</h3>
             <p class="text-muted text-center">{{user.username}} ({{user.category.name}})</p>
             <form method="POST">
                 {{ edit_user_form.hidden_tag() }}
                 <hr>
                 <div class="row">
                     <div class="col-3">
                         {{ wtf.form_field(edit_user_form.first_name, value=user.first_name) }}
                     </div>
                     <div class="col-3">
                         {{ wtf.form_field(edit_user_form.last_name, value=user.last_name) }}
                     </div>
                 </div>
                 <div class="row">
                     <div class="col-4">
                         {{ wtf.form_field(edit_user_form.email, value=user.contact.email) }}
                     </div>
                     <div class="col-2">
                         {{ wtf.form_field(edit_user_form.organism, value=user.organism) }}
                     </div>
                 </div>
                 <div class="row">
                     <div class="col-2">
                        {{ wtf.form_field(edit_user_form.country_code) }}
                     </div>
                     <div class="col-4">
                         {{ wtf.form_field(edit_user_form.number, value=user.contact.phone.number) }}
                     </div>
                 </div>
                 <hr>
                 <button type="submit" class="btn btn-primary btn-flat">{{page.layout.translate("Save", page.user.lang)}}</button>
             </form>
         </div>
     </div>
  </div>
</div>
{% endblock %}


{% block subscribe_script %}
{% endblock %}
